Page MenuHomePhabricator

Disable InukaPageView instrumentation in CI
Closed, ResolvedPublic

Description

Problem

Automated browser tests in continuous integration generate a lot of useless instrumentation data.

Solution

Introduce a webpack variable (possibly with EnvironmentPlugin) to enable or disable instrumentation.

Update the circleci config to build the app with instrumentation disabled. Something like INSTRUMENTATION=0 npm run build

Another option is to disable it when npm test runs. This would apply to both CI and local test runs.

Event Timeline

SBisson created this task.Mar 27 2020, 10:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2020, 10:19 AM

Should this happen pre-launch @SBisson?

Should this happen pre-launch @SBisson?

It can be after

AMuigai moved this task from Backlog to Next up on the Inuka-Team board.Apr 14 2020, 12:13 PM
SBisson updated the task description. (Show Details)Apr 14 2020, 6:37 PM
AMuigai moved this task from Next up to Kanban on the Inuka-Team board.May 11 2020, 11:53 AM
AMuigai edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
SBisson claimed this task.May 11 2020, 5:43 PM
SBisson moved this task from Ready for Dev to Dev on the Inuka-Team (Kanban) board.
SBisson moved this task from Code Review to QA on the Inuka-Team (Kanban) board.May 12 2020, 6:39 PM
Jpita moved this task from QA to Design sign off on the Inuka-Team (Kanban) board.May 13 2020, 9:07 AM
Jpita added a subscriber: Jpita.

@SBisson should I move this along to sign-off or wait for Neil's feedback?

@SBisson should I move this along to sign-off or wait for Neil's feedback?

Let's wait for @nshahquinn-wmf to confirm this.

AMuigai triaged this task as Medium priority.May 14 2020, 1:38 PM
nshahquinn-wmf closed this task as Resolved.May 20 2020, 5:47 PM

I'm now not seeing any events geolocating to Ashburn, Virginia, United States, where CircleCI's servers are located.